Content Management Formulas API
Introduction
A formula defines a Rules Engine rule to automate a field. It specifies conditions under which the rule is triggered and an action to execute, such as setting a text value or removing an existing value.
The Formulas API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 50 requests per minute
Get Formula by Id
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| formulaId | string | A formula rule id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/formulas/127667' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response Example
json
{
"object": "formula",
"id": "127667",
"updatedAt": "2026-04-16T13:40:03.000Z",
"createdAt": "2026-04-16T13:40:02.000Z",
"fieldKey": "BRAND_EAN",
"fieldTitle": "BRAND_EAN",
"tableId": "1473",
"tableKey": "PRODUCTS",
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE",
"topologicalOrder": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
List Formulas
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| tableId | string | Required The formula table id |
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10 |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/formulas?tableId=1473&page=0&size=20' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response Example
json
{
"object": "list",
"data": [
{
"object": "formula",
"id": "127667",
"updatedAt": "2026-04-16T13:40:03.000Z",
"createdAt": "2026-04-16T13:40:02.000Z",
"fieldKey": "BRAND_EAN",
"fieldTitle": "BRAND_EAN",
"tableId": "1473",
"tableKey": "PRODUCTS",
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE",
"topologicalOrder": 1
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
Find Formulas
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| tableId | string | Required The formula table id |
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10 |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
See more details on the find request body in the dedicated page Find request.
json
{
"type": "eq",
"field": "status",
"value": "ACTIVE"
}1
2
3
4
5
2
3
4
5
json
{
"type": "and",
"queries": [
{
"type": "eq",
"field": "fieldKey",
"value": "BRAND_EAN"
},
{
"type": "greaterOrEqual",
"caseSensitive": true,
"field": "createdAt",
"value": "2026-04-16T13:40:02.000Z"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/formulas/find?tableId=1473&page=0&size=20' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>' \
-d '{
"type": "and",
"queries": [
{
"type": "eq",
"field": "fieldKey",
"value": "BRAND_EAN"
},
{
"type": "greaterOrEqual",
"caseSensitive": true,
"field": "createdAt",
"value": "2026-04-16T13:40:02.000Z"
}
]
}'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
Response Example
json
{
"object": "list",
"data": [
{
"object": "formula",
"id": "127667",
"updatedAt": "2026-04-16T13:40:03.000Z",
"createdAt": "2026-04-16T13:40:02.000Z",
"fieldKey": "BRAND_EAN",
"fieldTitle": "BRAND_EAN",
"tableId": "1473",
"tableKey": "PRODUCTS",
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE",
"topologicalOrder": 1
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
Create a Formula
Request URL
Path parameters
None
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
json
{
"fieldKey": "BRAND_EAN",
"tableKey": "PRODUCTS",
"priority": 1,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "EMPTY"
}
]
},
{
"conditionGroup": [
{
"source": "BRAND",
"operator": "EMPTY"
}
]
}
],
"action": {
"type": "REMOVE_VALUE"
},
"status": "ACTIVE"
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/formulas' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>' \
-d '{
"fieldKey": "BRAND_EAN",
"tableKey": "PRODUCTS",
"priority": 1,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "EMPTY"
}
]
},
{
"conditionGroup": [
{
"source": "BRAND",
"operator": "EMPTY"
}
]
}
],
"action": {
"type": "REMOVE_VALUE"
},
"status": "ACTIVE"
}'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
Response Example
json
{
"object": "formula",
"id": "127668",
"updatedAt": "2026-04-16T13:40:03.000Z",
"createdAt": "2026-04-16T13:40:02.000Z",
"fieldKey": "BRAND_EAN",
"fieldTitle": "BRAND_EAN",
"tableId": "1473",
"tableKey": "PRODUCTS",
"priority": 1,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "EMPTY"
}
]
},
{
"conditionGroup": [
{
"source": "BRAND",
"operator": "EMPTY"
}
]
}
],
"action": {
"type": "REMOVE_VALUE"
},
"status": "ACTIVE",
"topologicalOrder": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Update a Formula
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| formulaId | string | A formula rule id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
Only the following properties can be updated:
- priority
- conditions
- action
- status
json
{
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE"
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
Request Example
bash
curl -X 'PATCH' \
'https://api.product-live.com/v1/formulas/127667' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-d '{
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE"
}'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
Response Example
json
{
"object": "formula",
"id": "127667",
"updatedAt": "2026-05-06T12:36:31.000Z",
"createdAt": "2026-04-16T13:40:02.000Z",
"fieldKey": "BRAND_EAN",
"fieldTitle": "BRAND_EAN",
"tableId": "1473",
"tableKey": "PRODUCTS",
"priority": 2,
"conditions": [
{
"conditionGroup": [
{
"source": "EAN",
"operator": "NOT_EMPTY"
},
{
"source": "BRAND",
"operator": "NOT_EMPTY"
}
]
}
],
"action": {
"type": "SET_TEXT",
"template": "{{source(\"BRAND\")}}-{{source(\"EAN\")}}"
},
"status": "ACTIVE",
"topologicalOrder": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
Delete a Formula
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| formulaId | string | A formula rule id to delete |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'DELETE' \
'https://api.product-live.com/v1/formulas/127667' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response Example
None. Only the HTTP status code informs of the completion of the request.
Refresh Item Formulas
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| itemId | string | The id of the item for which formula rules should be refreshed |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/formulas/refresh-item?itemId=6592797' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response Example
None. Only the HTTP status code informs of the completion of the request.